Subject: RE: [External] : Re: bug#25979: 25.1; be able to have buffer of same name use same text scaling when re-created

From: Drew Adams <[email-masked]>
Date: Fri, 13 May 2022 15:16:43 +0000

> > Enhancement request: Add a user option to let someone choose...
> 
> As a general feature, I don't think there's that much use for it,
> because it's a bug if a mode clears out `text-scale-mode' (and other
> minor modes) when the command regenerates the buffer.
> 
> So I've now fixed that in the help functions in Emacs 29 -- by finally
> rewriting `with-help-window', which is something I've been planning to
> do for years, anyway.

I guess you're saying that users still don't have
the choice requested, and that instead of getting
only the behavior of starting over they only get
the behavior of starting with the same scaling
last used.

I don't think either behavior makes sense for all
users, or even for the same user all the time.
Which is why I requested a way for users to choose.

The fact that a buffer has the same name - or the
same mode (dunno which you're using for the choice
you've made) - is not determinate in terms of what
a user wants.

E.g., *Help* might in one case show lots of text,
and a user might want to scale it down, to show
all of it (just one example).  But it doesn't
follow that that same user wants *Help* with some
other content to be shown at the last scaling.

Please reconsider, to let users easily choose the
default behavior _they_ prefer.  That's what this
enhancement request is.